Retrieve channels

/cm/channels/retrieve Retrieve channels

POST /cm/channels/retrieve

Table 1. Details

Resource path

/api/core/v1/cm/channels/retrieve

HTTP method

POST

Request content type

application/json

Response content type

application/xml; charset=UTF-8

Body Parameter

Specified by ChannelRequestDto

Return Type

XML String with filled ProjectsType More info ProjectType

Responses

Table 2. Http response codes
Code Message Datatype

200

XML String with list of projects tree

PimType

403

No access to the endpoint

ResponseType

500

Error in ResponseType

ResponseType

Samples

Retrieve Channels
curl
curl --location --request POST 'https://<OMN_SERVER>/api/core/v1/cm/channels/retrieve' \
--header 'Authorization: Bearer <TOKEN>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "ids": [
        598800
    ]
}'
Request body. By id
{
    "ids": [
        598800
    ]
}
Request body. By tid
{
    "tids": [
        "AWS"
    ]
}
Response body
<?xml version="1.0" encoding="UTF-8"?>
<pim xmlns="http://www.apollon.de/omn" schemaVersion="5.6.0">
    <meta>
        <itm key="messageType">request</itm>
        <itm key="messageTime">2024-03-12T08:53:11.795Z</itm>
        <itm key="sourceEnv">jli_docker</itm>
        <itm key="itemInformationType">project</itm>
    </meta>
    <projects>
        <project tid="AWS" type="AWS" orderSequence="1048576">
            <name>AWS</name>
            <meta>
                <itm key="id">21788</itm>
                <itm key="creationDate">2023-08-04T09:36:06.802Z</itm>
                <itm key="modificationDate">2024-01-10T11:06:06.587Z</itm>
                <itm key="htmlIcon"/>
                <itm key="icon">/static/assets/projects/i3p1.gif</itm>
                <itm key="allowedFunctions">F.JavaFunction.ACC.CSVExportProduct,ProjectMoveUpFunction,SetFavouriteProjectFunction</itm>
            </meta>
            <vals>
                <val attr="ENUMTEST">
                    <itm>V1,V2</itm>
                </val>

                <val attr="TRESHOLD_VALUE">
                    <itm>0.4</itm>
                </val>
            </vals>
            <links>
                <itm key="FA1B5E2F-4869-4991-B17B-AA8BD3709AF6">MAM/cat.jpg</itm>
                <itm key="B3DC4775-D3F8-4C2A-BE9B-5E9BC5E60849">MAM/dog.jpg</itm>
            </links>
            <peos>
                <peo tid="3b6e1b67-aa7f-43a0-bea0-b124129c3480"
                 product="58695a3d-f6d6-44fa-89f0-6a5e027ac79a"
                 template="Web"
                 default="true">
                    <meta>
                        <itm key="id">134320</itm>
                        <itm key="creationDate">2024-03-01T08:40:27.027Z</itm>
                        <itm key="modificationDate">2024-03-01T08:40:27.170Z</itm>
                    </meta>
                    <name>test1</name>
                    <nodes>
                        <node>AWS</node>
                    </nodes>
                    <vals>
                        <val attr="material"
                       type="localized"
                       origin="PRODUCT"
                       node="/Standard"
                       dataType="text">
                            <itm loc="en_EN">en1</itm>
                            <itm loc="de_DE">de2</itm>
                        </val>
                    </vals>
                </peo>
            </peos>
        </project>
    </projects>
</pim>

Welcome to the AI Chat!

Write a prompt to get started...